Bug 41138 - support creation of subfolders in shared folders
support creation of subfolders in shared folders
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail - Dovecot
UCS 4.1
Other Linux
: P5 enhancement with 4 votes (vote)
: UCS 4.2-3-errata
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
:
Depends on: 41022
Blocks: 45894 45921 45971
  Show dependency treegraph
 
Reported: 2016-04-26 11:01 CEST by Daniel Tröder
Modified: 2018-01-03 10:33 CET (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016032321000374, 2017032421000405, 2017100621000202
Bug group (optional):
Max CVSS v3 score:


Attachments
add UCRV to toggle mail_shared_explicit_inbox and IMAP ACLs kx (4.38 KB, application/octetstream)
2016-04-26 11:01 CEST, Daniel Tröder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2016-04-26 11:01:20 CEST
Created attachment 7618 [details]
add UCRV to toggle mail_shared_explicit_inbox and IMAP ACLs kx

+++ This bug was initially created as a clone of Bug #41022 +++

- The permissions "k" and "x" should be added to "all"

- It should be possible to create subfolder under shared_folders
--> suggestion: UCRV "mail_shared_explicit_inbox"

Ticket#2016032321000374

------------------------------------------------------------------------

Attached is a patch to add necessary configuration (UCRV) and IMAP ACLs (k & x) for creating subfolders in shared and public folders (with and without email address).

It is *NOT* complete (and poorly tested): the listener modification does only handle folder creation, not moving.
Comment 1 Stefan Gohmann univentionstaff 2016-12-13 08:10:41 CET
The Enterprise Customer affected flag is set but neither a Ticket number is referenced nor a Customer ID is set. Please set a Ticket number or a Customer ID. Otherwise the Enterprise Customer affected flag will be reset.
Comment 2 Daniel Tröder univentionstaff 2017-03-29 15:15:07 CEST
Requested again: https://help.univention.com/t/unterordner-fur-globale-imap-ordner/5308
Comment 3 Daniel Tröder univentionstaff 2017-05-15 15:12:32 CEST
I may have found a solution, that could be well managed by the listener module: http://help.univention.com/t/shared-folder-keine-berechtigung-fur-unterordner/5376/8
Comment 4 Christina Scheinig univentionstaff 2017-10-06 10:59:20 CEST
Requested again Ticket#2017100621000202
Comment 5 Daniel Tröder univentionstaff 2017-10-30 18:26:04 CET
Creating subfolder in shared folders without email address (aka public mailboxes) was possible directly after adding 'k' and 'x' to the permissions of 'all'.

For shared folders with email address (aka shared mailboxes) the required ACLs cannot be read from a parent namespace, so they are set using global ACLs.

The configuration was changed in conffiles/etc/dovecot/conf.d/90-acl.conf.
The listener code was modified to maintain the global ACLs file.
A test was added to verify that a) subfolder can be created and b) ACLs are honored.


Changes are in branch dtroeder/41138_dovecot_shared_subfolders and have not been merged to 4.2:

39c24777: add support for creating subfolders in shared folders
9eed5786: add test for creating subfolders in shared folders (both with and without email address)
88e4c15d4f: enable global ACLs (should have been in 39c24777)
Comment 6 Daniel Tröder univentionstaff 2017-11-30 09:15:00 CET
13265f3f: fix acl template
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2017-11-30 15:27:15 CET
OK: code change
OK: manual test
    → tested with kontact and thunderbird before and after the update
OK: automatic test
OK: advisory

Package: univention-mail-dovecot
Version: 3.0.1-4A~4.2.0.201711301454
Branch: ucs_4.2-0
Scope: errata4.2-3
Comment 8 Arvid Requate univentionstaff 2017-12-06 15:40:14 CET
<http://errata.software-univention.de/ucs/4.2/234.html>